import sys
from disco import Disco, result_iterator

def fun_map(e, params):
    return [(w, 1) for w in e.split()]

def fun_reduce(iter, out, params):
    s = {}
    for w, f in iter:
        s[w] = s.get(w, 0) + int(f)
    for w, f in s.iteritems():
        out.add(w, f)

master = sys.argv[1]
print "Starting Disco job.."
print "Go to %s to see status of the job." % master
results = Disco(master).new_job(
                name = "wordcount",
                input =sys.argv[2:],
                map = fun_map,
                reduce = fun_reduce).wait()

print "Job done. Results:"
for word, frequency in result_iterator(results):
        print word, frequency


